"""
Module to calculate various value on an array
(Quantile, mean, etc..)
"""
import numpy as np
import scipy

def chisquared_uniform(arr,RES):
    """
    chisquared for uniform distrib
    """
    observed_freq, _  = np.histogram(arr, bins=np.linspace(0,1,RES))
    return scipy.stats.chisquare(observed_freq)

